import service from '../axios.Im'
import httpRequest from '../axios'

// 登录获取用户信息
export function imLogin(param) {
  return service.post('/user/login', param);
}

export function imLoginNew(param) {
  return service.post('/user/loginNew', param);
}

// 上传文件
export function uploadFile(param) {
  return service.post('/file', param);
}

// 修改用户信息
export function userInfoEdit(param) {
  return service.put('/user', param );
}

// 获取用户列表 
export function userList(params) {
  return service.get('/user', { params});
}

export function userFriendList(params) {
  return service.get('/user/friend', { params });
}

// 添加好友
export function userFriend(param) {
  return service.post('/friend', param);
}

// 获取用户详情
export function userUuid(uuid, params) {
  return service.get(`/user/${uuid}`, { params });
}

// 获取消息  contentType : 消息类型  keyword: 关键字搜索
export function getMessageApi(data) {
  return service.post('/message', data );
}

// 获取好友申请审核列表
export function friendRequest(params) {
  return service.get("/user/friend/request", { params });
}

// 同意或者拒绝好友
export function friendAudit(param) {
  return service.post('/user/friend/audit', param);
}

// 获取群成员信息
export function groupList(uuid) {
  return service.get(`/group/user/${uuid}`);
}

// 修改群名称
export function selectGroupName(uuid, param) {
  return service.post(`/group/${uuid}`, param);
}

// 创建群组
export function createSetGroup(param) {
  return service.post(`/set/group`, param);
}

// 加入群组  userUuid:用户uuid    groupUuid:群uuid
export function groupJoin(userUuid, groupUuid) {
  return service.post(`/group/join/${userUuid}/${groupUuid}`);
}

// 移出成员  userUuid:用户uuid    groupUuid:群uuid   selfUuid:群主uuid
export function groupDisjoin(userUuid, groupUuid,selfUuid) {
  return service.post(`/group/disjoin/${userUuid}/${groupUuid}/${selfUuid}`);
}

// 修改群个人名称
export function selectEditnickname(uuid, param) {
  return service.post(`/group/editnickname/${uuid}`, param);
}

// 解散群组
export function dissolveGroup(selfUuid, groupId) {
  return service.post(`/group/dissolveGroup/${selfUuid}/${groupId}`);
}

// 退出群组
export function quitGroup(selfUuid, groupId) {
  return service.post(`/group/quitGroup/${selfUuid}/${groupId}`);
}

// 删除好友
export function delFriend(param) {
  return service.post("/delFriend",param);
}

// 搜索好友或者群聊接口
export function search(uuid) {
  return service.post(`/search/${uuid}`);
}

/**
 * 设置消息免打扰
 * @param {string} uuid 
 * @returns 
 */
export function setMessageDisturb(uuid, param) {
  return service.post(`/disturb/${uuid}`, param);
}

// 置顶聊天
export function stickChat(param) {
  return service.post(`/stick/chat`, param);
}

// 消息撤回
// messageId: 消息id , uuid: 当前用户uuid , toUuid: 目标uuid， messageType: 群2或个人1
export function messageRevoke(param) {
  return service.post('/message/revoke', param);
}

// 更改备注
// uuid： 自己的  FriendUuid：  好友的  remark : 好友备注
export function friendRemark(param) {
  return service.post('/friend/remark', param);
}






// *****************朋友圈接口**********************

// 发布朋友圈
export function addDynamic(param) {
  return httpRequest.post('/add_dynamic', param);
}
// 图片视频上传
export function hostUploadImg(param) {
  return httpRequest.post('/upload/host_upload_img', param);
}
// 朋友圈列表
export function dynamicList(params) {
  return httpRequest.get('/dynamic_list', { params });
}
// 动态点赞
export function dynamicLike(param) {
  return httpRequest.post('/dynamic_like', param);
}
// 动态评论
export function dynamicComment(param) {
  return httpRequest.post('/dynamic_comment', param);
}
//  动态详情
export function dynamicDetail(params) {
  return httpRequest.get('/dynamic_detail', { params });
}